New install script presentation

This commit is contained in:
VirtuBox
2019-03-07 13:23:19 +01:00
parent 9b3e318121
commit 71a2461b75

16
install
View File

@@ -359,20 +359,25 @@ wo_update_wp_cli()
# Now, finally, let's install WordOps # Now, finally, let's install WordOps
wo_install() wo_install()
{ {
if {
echo -ne "${TPUT_ECHO}Installing Wordops $wo_branch ${TPUT_RESET}[..]\r"
rm -rf /tmp/easyengine rm -rf /tmp/easyengine
rm -rf /tmp/wordops rm -rf /tmp/wordops
wo_lib_echo "Downloading WordOps straight from GitHub - fresh and brewed with love. Hold your horses..."
[ -z "$wo_branch" ] && { [ -z "$wo_branch" ] && {
wo_branch=master wo_branch=master
} }
git clone -b "$wo_branch" https://github.com/WordOps/WordOps.git /tmp/wordops --quiet > /dev/null \ git clone -b "$wo_branch" https://github.com/WordOps/WordOps.git /tmp/wordops --quiet > /dev/null 2>&1
|| wo_lib_error "An error was encountered during the download, exit status" $?
cd /tmp/wordops || exit 1 cd /tmp/wordops || exit 1
wo_lib_echo "The moment you've all been waiting for, time to install WordOps!" python3 setup.py install > /dev/null 2>&1
python3 setup.py install || wo_lib_error "An error was encountered during the installation, exit status " $? }; then echo -ne "${TPUT_ECHO}Installing Wordops $wo_branch ${TPUT_RESET}[OK]\r"
echo -ne '\n'
else
echo -e "${TPUT_FAIL}Installing Wordops $wo_branch ${TPUT_RESET}[FAIL]"
echo -ne '\n'
fi
} }
wo_update_latest() wo_update_latest()
@@ -696,7 +701,6 @@ else
else else
# 3 - Fresh WO setup # 3 - Fresh WO setup
wo_install_dep | tee -ai $wo_install_log wo_install_dep | tee -ai $wo_install_log
wo_lib_echo "Installing WordOps $wo_branch" | tee -ai $wo_install_log
wo_install | tee -ai $wo_install_log wo_install | tee -ai $wo_install_log
wo_lib_echo "Running post-install steps" | tee -ai $wo_install_log wo_lib_echo "Running post-install steps" | tee -ai $wo_install_log
secure_wo_db | tee -ai $EE_INSTALL_LOG secure_wo_db | tee -ai $EE_INSTALL_LOG